Bug 134852 - when using epiphany with an http proxy there is no way to set exceptions
Summary: when using epiphany with an http proxy there is no way to set exceptions
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: epiphany (Show other bugs)
(Show other bugs)
Version: 3
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Marco Pesenti Gritti
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-06 19:01 UTC by John Poelstra
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-09 15:25:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Poelstra 2004-10-06 19:01:51 UTC
Description of problem:
I was trying to use Epiphany with an http proxy by setting the proxy
entry under: gnome/preferences/network proxy.  

I have two problems with this:

(1) There was no place to add exceptions to the proxy (e.g.
redhat.com).  Every web browser I have ever used has given me the
ability to add exceptions.

Admittedly a user could tweak the setting in about:config, but I think
that is asking too much of a regular desktop user, particularly when
other browsers have a simple box to enter proxy exceptions.

(2) The mainline web browsers all have options to set proxy settings
*in the browswer itself* and not in some other place (e.g.
gnome-network-proxy).  It's not intuitive. 

Version-Release number of selected component (if applicable):
epiphany-1.4.0-0.3.6

How reproducible:
Always

Steps to Reproduce:
1. open preferences/network proxy
2.
3.
    

Additional info:

Comment 1 Christopher Blizzard 2004-10-13 15:54:15 UTC
The normal way to do this is with a .PAC file.  I guess the gnome
settings don't support that, kind of hobbling the ability to use a
proxy effectively.

Comment 2 Marco Pesenti Gritti 2004-10-13 15:59:48 UTC
GNOME settings support PAC files.
("Autoconfiguration URL" field)

Comment 3 Marco Pesenti Gritti 2004-11-09 15:25:54 UTC
UPSTREAM

http://bugzilla.gnome.org/show_bug.cgi?id=44098


Note You need to log in before you can comment on or make changes to this bug.